Shotstash
API referenceREST referencePipeline

Read the job input

The original file of the job; whole or one byte range (Range: bytes=start-end). Only for the worker holding the claim.

Try the REST routes against the public demo at https://demostash.aldyernesto.my.id. Get a read-only token (valid for 60 minutes), then paste it as the Bearer token in the console of any route.

GET
/api/v1/pipeline/jobs/{id}/input

The original file of the job; whole or one byte range (Range: bytes=start-end). Only for the worker holding the claim.

Authorization

WorkerToken
headerX-Worker-Token<token>

Per-worker token returned once by worker registration.

Path Parameters

id*string

Job id (UUID).

Header Parameters

X-Claim-Token*string

Claim token from the claim answer.

Response Body

The whole file

response?stringapplication/octet-stream

Raw file bytes; Content-Type is the media type of the file.

curl -X GET "https://example.com/api/v1/pipeline/jobs/string/input" \  -H "X-Claim-Token: string"
"string"